Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158128 - Rhythmbox hangs during playback
Summary: Rhythmbox hangs during playback
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-18 20:54 UTC by Cushing Whitney
Modified: 2013-03-13 04:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-11 23:37:14 UTC


Attachments (Terms of Use)

Description Cushing Whitney 2005-05-18 20:54:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
Occasionally (Approx once every 15-20 hours) Rhythmbox hangs during playback of an MP3 file. The file that is playing is different each time. Once hung, playback ceases and the GUI stops re-drawing. Only a force quit will kill the app. When running with debug code enabled (rhythmbox -d), the following message accompanies the hang:

*** glibc detected *** double free or corruption (fasttop): 0x08e62048 ***

The previous lines in the debug output are as follows:

[0x80e8eb0] [rb_playlist_manager_save_playlists] rb-playlist-manager.c:599 (16:33:04): saving the playlists
[0x80e8eb0] [rb_playlist_manager_save_playlists] rb-playlist-manager.c:602 (16:33:04): no save needed, ignoring
[0x80e8eb0] [rb_playlist_manager_save_playlists] rb-playlist-manager.c:599 (16:33:14): saving the playlists
[0x80e8eb0] [rb_playlist_manager_save_playlists] rb-playlist-manager.c:602 (16:33:14): no save needed, ignoring
[0x80e8eb0] [eos_cb] rb-shell-player.c:1901 (16:33:18): eos!
[0x80e8eb0] [eos_cb] rb-shell-player.c:1906 (16:33:18): updating play statistics
[0x80e8eb0] [rb_random_play_order_get_next] rb-play-order-random.c:347 (16:33:18): choosing random entry
[0x81e4130] [rhythmdb_query_model_entry_changed_cb] rhythmdb-query-model.c:650 (16:33:18): queueing entry change
[0x81e4130] [rhythmdb_query_model_entry_changed_cb] rhythmdb-query-model.c:650 (16:33:18): queueing entry change
[0x80e8eb0] [rhythmdb_query_model_entry_changed_cb] rhythmdb-query-model.c:650 (16:33:18): queueing entry change
[0x80e8eb0] [rb_shell_player_auto_adjust_rating] rb-shell-player.c:1239 (16:33:18): set rating from 2.500000 to 2.640000

[0x80e8eb0] [rb_shell_player_open_location] rb-shell-player.c:848 (16:33:18): Opening file:///home/archive/mp3/files/Berlin/Best_of_Berlin_19791988/09-Matter_Of_Time.mp3...
[0x80e8eb0] [rb_player_construct] rb-player-gst.c:457 (16:33:18): constructing element "pipeline"
[0x80e8eb0] [rb_player_construct] rb-player-gst.c:506 (16:33:18): constructing queue
[0x80e8eb0] [rb_player_construct] rb-player-gst.c:519 (16:33:18): constructing element "typefind"
[0x80e8eb0] [rb_player_construct] rb-player-gst.c:522 (16:33:18): constructing element "decoder"
[0x80e8eb0] [rb_player_construct] rb-player-gst.c:525 (16:33:18): constructing element "volume"
[0x80e8eb0] [rb_player_construct] rb-player-gst.c:534 (16:33:18): constructing element "audioconvert"
[0x80e8eb0] [rb_player_construct] rb-player-gst.c:537 (16:33:18): constructing element "audioscale"
[0x80e8eb0] [rb_player_construct] rb-player-gst.c:576 (16:33:18): pipeline construction complete
[0x80e8eb0] [rb_player_sync_pipeline] rb-player-gst.c:627 (16:33:18): syncing pipeline
[0x80e8eb0] [rb_player_sync_pipeline] rb-player-gst.c:669 (16:33:18): PAUSING pipeline
[0x80e8eb0] [rb_player_sync_pipeline] rb-player-gst.c:680 (16:33:18): setting sink to NULL
[0x80e8eb0] [rb_player_sync_pipeline] rb-player-gst.c:627 (16:33:18): syncing pipeline
[0x80e8eb0] [rb_player_sync_pipeline] rb-player-gst.c:642 (16:33:18): PLAYING pipeline
[0x80e8eb0] [rb_player_sync_pipeline] rb-player-gst.c:627 (16:33:18): syncing pipeline
[0x80e8eb0] [rb_player_sync_pipeline] rb-player-gst.c:642 (16:33:18): PLAYING pipeline
[0x80e8eb0] [rb_shell_player_sync_with_source] rb-shell-player.c:1621 (16:33:18): playing source: 0x822ea68, active entry: 0xb4a490a0
[0x80e8eb0] [rb_header_sync] rb-header.c:489 (16:33:18): syncing with node = 0xb4a490a0
[0x80e8eb0] [rb_header_sync] rb-header.c:524 (16:33:18): artist: For Love Not Lisa album: Merge
[0x80e8eb0] [rb_shell_player_sync_buttons] rb-shell-player.c:1684 (16:33:18): syncing with source 0x822ea68
[0x80e8eb0] [rb_random_play_order_get_next] rb-play-order-random.c:347 (16:33:18): choosing random entry
[0x80e8eb0] [rb_shell_player_set_play_button] rb-shell-player.c:1569 (16:33:19): setting pause button
[0x80e8eb0] [rb_shell_player_set_playing_entry] rb-shell-player.c:953 (16:33:19): Success!
[0x80e8eb0] [rb_entry_view_row_changed_cb] rb-entry-view.c:1768 (16:33:19): row changed
[0x80e8eb0] [queue_changed_sig] rb-entry-view.c:1669 (16:33:19): queueing changed signal
[0x80e8eb0] [rb_entry_view_row_changed_cb] rb-entry-view.c:1768 (16:33:19): row changed
[0x80e8eb0] [rb_shell_player_sync_with_source] rb-shell-player.c:1621 (16:33:19): playing source: 0x822ea68, active entry: 0xb467a9b8
[0x80e8eb0] [rb_shell_set_window_title] rb-shell.c:2069 (16:33:19): setting title to "Berlin - Matter Of Time"
[0x80e8eb0] [rb_header_sync] rb-header.c:489 (16:33:19): syncing with node = 0xb467a9b8
[0x80e8eb0] [rb_header_sync] rb-header.c:524 (16:33:19): artist: Berlin album: Best of Berlin 1979-1988
[0x80e8eb0] [rb_shell_player_sync_buttons] rb-shell-player.c:1684 (16:33:19): syncing with source 0x822ea68
[0x80e8eb0] [rb_random_play_order_get_next] rb-play-order-random.c:347 (16:33:19): choosing random entry
[0x80e8eb0] [rb_shell_player_set_play_button] rb-shell-player.c:1569 (16:33:19): setting pause button
*** glibc detected *** double free or corruption (fasttop): 0x08e62048 ***


Version-Release number of selected component (if applicable):
rhythmbox-0.8.8-2.1

How reproducible:
Sometimes

Steps to Reproduce:
1. Start Rhythmbox playing in shuffle/repeat mode
2. Wait
3.
  

Actual Results:  After some arbitrary amount of time, Rhythmbox will hang.

Expected Results:  It should keep playing

Additional info:

Comment 1 Matthew Miller 2006-07-10 20:45:34 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 petrosyan 2008-02-11 23:37:14 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.